server {
    listen 8080;
    server_name _;

    # Frontend static build
    location / {
        root /usr/share/nginx/html;
        try_files $uri $uri/ /index.html;
    }

    # Proxy vers backend Pulsar Manager
    location /pulsar-manager/ {
        proxy_pass http://localhost:7750/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
    }
}
